Skip to main content
`Ctrl`+`K`

# SNESNewtonTRQNType

type of quasi-Newton model to use

## Synopsis

    typedef enum {
      SNES_TR_QN_NONE,
      SNES_TR_QN_SAME,
      SNES_TR_QN_DIFFERENT,
    } SNESNewtonTRQNType;

## Values

- `SNES_TR_QN_NONE` - do not use a quasi-Newton model

- `SNES_TR_QN_SAME` - use the same quasi-Newton model for matrix and preconditioner

- `SNES_TR_QN_DIFFERENT` - use different quasi-Newton models for matrix and preconditioner

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNEWTONTR`

## Level

intermediate

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages